Analytics

Get services leaderboard

Fetch trending services leaderboard with optional filtering.

GET
/analytics/public/leaderboard

Query Parameters

service_type?string

Filter by type. Defaults to all.

Default"all"
Value in"all" | "model" | "agent" | "tool"
start_date?string

Start date (ISO 8601 or YYYY-MM-DD).

end_date?string

End date (ISO 8601 or YYYY-MM-DD).

sort_by?string

Sort by volume or requests. Defaults to volume.

Default"volume"
Value in"volume" | "requests"
limit?integer

Max results (1–100, default 10).

Default10
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://beta.aimo.network/api/v1/analytics/public/leaderboard"
{
  "services": [
    {
      "service_type": "string",
      "service_id": "string",
      "provider_id": "string",
      "request_count": 0,
      "total_volume": 0,
      "total_volume_usd": 0
    }
  ],
  "filters": {
    "service_type": "string",
    "start_date": "string",
    "end_date": "string",
    "sort_by": "string",
    "limit": 0
  },
  "totals": {
    "services": 0,
    "request_count": 0,
    "total_volume": 0
  }
}